Annotation of embedaddon/ipsec-tools/src/racoon/Makefile, revision 1.1.1.1.2.3.2.1
1.1.1.1.2.3.2 1(misho 1:4): # Makefile.in generated by automake 1.14 from Makefile.am.
1.1 misho 2: # src/racoon/Makefile. Generated from Makefile.in by configure.
3:
1.1.1.1.2.3.2 1(misho 4:4): # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5:4):
1.1 misho 6: # This Makefile.in is free software; the Free Software Foundation
7: # gives unlimited permission to copy and/or distribute it,
8: # with or without modifications, as long as this notice is preserved.
9:
10: # This program is distributed in the hope that it will be useful,
11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13: # PARTICULAR PURPOSE.
14:
15:
16:
17: # Id: Makefile.am,v 1.23 2005/07/01 08:57:50 manubsd Exp
18:
19:
20:
21:
1.1.1.1.2.3.2 1(misho 22:4): am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
23:4): am__make_running_with_option = \
24:4): case $${target_option-} in \
25:4): ?) ;; \
26:4): *) echo "am__make_running_with_option: internal error: invalid" \
27:4): "target option '$${target_option-}' specified" >&2; \
28:4): exit 1;; \
29:4): esac; \
30:4): has_opt=no; \
31:4): sane_makeflags=$$MAKEFLAGS; \
32:4): if $(am__is_gnu_make); then \
33:4): sane_makeflags=$$MFLAGS; \
34:4): else \
35:4): case $$MAKEFLAGS in \
36:4): *\\[\ \ ]*) \
37:4): bs=\\; \
38:4): sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
39:4): | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
40:4): esac; \
41:4): fi; \
42:4): skip_next=no; \
43:4): strip_trailopt () \
44:4): { \
45:4): flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
46:4): }; \
47:4): for flg in $$sane_makeflags; do \
48:4): test $$skip_next = yes && { skip_next=no; continue; }; \
49:4): case $$flg in \
50:4): *=*|--*) continue;; \
51:4): -*I) strip_trailopt 'I'; skip_next=yes;; \
52:4): -*I?*) strip_trailopt 'I';; \
53:4): -*O) strip_trailopt 'O'; skip_next=yes;; \
54:4): -*O?*) strip_trailopt 'O';; \
55:4): -*l) strip_trailopt 'l'; skip_next=yes;; \
56:4): -*l?*) strip_trailopt 'l';; \
57:4): -[dEDm]) skip_next=yes;; \
58:4): -[JT]) skip_next=yes;; \
59:4): esac; \
60:4): case $$flg in \
61:4): *$$target_option*) has_opt=yes; break;; \
62:4): esac; \
63:4): done; \
64:4): test $$has_opt = yes
65:4): am__make_dryrun = (target_option=n; $(am__make_running_with_option))
66:4): am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
1.1 misho 67: pkgdatadir = $(datadir)/ipsec-tools
68: pkgincludedir = $(includedir)/ipsec-tools
69: pkglibdir = $(libdir)/ipsec-tools
70: pkglibexecdir = $(libexecdir)/ipsec-tools
71: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
72: install_sh_DATA = $(install_sh) -c -m 644
73: install_sh_PROGRAM = $(install_sh) -c
74: install_sh_SCRIPT = $(install_sh) -c
75: INSTALL_HEADER = $(INSTALL_DATA)
76: transform = $(program_transform_name)
77: NORMAL_INSTALL = :
78: PRE_INSTALL = :
79: POST_INSTALL = :
80: NORMAL_UNINSTALL = :
81: PRE_UNINSTALL = :
82: POST_UNINSTALL = :
1.1.1.1.2.3.2 1(misho 83:4): build_triplet = i386-unknown-freebsd11.0
84:4): host_triplet = i386-unknown-freebsd11.0
1.1 misho 85: sbin_PROGRAMS = racoon$(EXEEXT) racoonctl$(EXEEXT) \
86: plainrsa-gen$(EXEEXT)
87: noinst_PROGRAMS = eaytest$(EXEEXT)
88: TESTS = eaytest$(EXEEXT)
89: subdir = src/racoon
1.1.1.1.2.3.2 1(misho 90:4): DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am cftoken.c \
91:4): cfparse.h cfparse.c prsa_tok.c prsa_par.h prsa_par.c \
92:4): $(top_srcdir)/depcomp $(top_srcdir)/ylwrap \
93:4): $(include_racoon_HEADERS) $(noinst_HEADERS) \
94:4): $(top_srcdir)/test-driver TODO
1.1 misho 95: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96: am__aclocal_m4_deps = $(top_srcdir)/acracoon.m4 \
97: $(top_srcdir)/configure.ac
98: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
99: $(ACLOCAL_M4)
100: mkinstalldirs = $(install_sh) -d
101: CONFIG_HEADER = $(top_builddir)/config.h
102: CONFIG_CLEAN_FILES =
103: CONFIG_CLEAN_VPATH_FILES =
104: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
105: am__vpath_adj = case $$p in \
106: $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
107: *) f=$$p;; \
108: esac;
109: am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
110: am__install_max = 40
111: am__nobase_strip_setup = \
112: srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
113: am__nobase_strip = \
114: for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
115: am__nobase_list = $(am__nobase_strip_setup); \
116: for p in $$list; do echo "$$p $$p"; done | \
117: sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
118: $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
119: if (++n[$$2] == $(am__install_max)) \
120: { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
121: END { for (dir in files) print dir, files[dir] }'
122: am__base_list = \
123: sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
124: sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
1.1.1.1.2.3.2 1(misho 125:4): am__uninstall_files_from_dir = { \
126:4): test -z "$$files" \
127:4): || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
128:4): || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
129:4): $(am__cd) "$$dir" && rm -f $$files; }; \
130:4): }
1.1 misho 131: am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(sbindir)" \
132: "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" \
133: "$(DESTDIR)$(include_racoondir)"
134: LTLIBRARIES = $(lib_LTLIBRARIES)
135: libracoon_la_LIBADD =
136: am_libracoon_la_OBJECTS = libracoon_la-kmpstat.lo \
137: libracoon_la-vmbuf.lo libracoon_la-sockmisc.lo \
138: libracoon_la-misc.lo
139: libracoon_la_OBJECTS = $(am_libracoon_la_OBJECTS)
1.1.1.1.2.3.2 1(misho 140:4): AM_V_lt = $(am__v_lt_$(V))
141:4): am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
142:4): am__v_lt_0 = --silent
143:4): am__v_lt_1 =
144:4): libracoon_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
1.1 misho 145: $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libracoon_la_CFLAGS) \
146: $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
147: PROGRAMS = $(noinst_PROGRAMS) $(sbin_PROGRAMS)
148: am_eaytest_OBJECTS = eaytest.$(OBJEXT) plog.$(OBJEXT) logger.$(OBJEXT)
149: eaytest_OBJECTS = $(am_eaytest_OBJECTS)
150: am__DEPENDENCIES_1 =
151: am_plainrsa_gen_OBJECTS = plainrsa-gen.$(OBJEXT) plog.$(OBJEXT) \
152: crypto_openssl.$(OBJEXT) logger.$(OBJEXT)
153: plainrsa_gen_OBJECTS = $(am_plainrsa_gen_OBJECTS)
154: am_racoon_OBJECTS = main.$(OBJEXT) session.$(OBJEXT) isakmp.$(OBJEXT) \
155: handler.$(OBJEXT) isakmp_ident.$(OBJEXT) isakmp_agg.$(OBJEXT) \
156: isakmp_base.$(OBJEXT) isakmp_quick.$(OBJEXT) \
157: isakmp_inf.$(OBJEXT) isakmp_newg.$(OBJEXT) gssapi.$(OBJEXT) \
158: dnssec.$(OBJEXT) getcertsbyname.$(OBJEXT) privsep.$(OBJEXT) \
159: pfkey.$(OBJEXT) admin.$(OBJEXT) evt.$(OBJEXT) \
160: ipsec_doi.$(OBJEXT) oakley.$(OBJEXT) grabmyaddr.$(OBJEXT) \
161: vendorid.$(OBJEXT) policy.$(OBJEXT) localconf.$(OBJEXT) \
162: remoteconf.$(OBJEXT) crypto_openssl.$(OBJEXT) \
163: algorithm.$(OBJEXT) proposal.$(OBJEXT) sainfo.$(OBJEXT) \
164: strnames.$(OBJEXT) plog.$(OBJEXT) logger.$(OBJEXT) \
165: schedule.$(OBJEXT) str2val.$(OBJEXT) safefile.$(OBJEXT) \
166: backupsa.$(OBJEXT) genlist.$(OBJEXT) rsalist.$(OBJEXT) \
167: cftoken.$(OBJEXT) cfparse.$(OBJEXT) prsa_tok.$(OBJEXT) \
168: prsa_par.$(OBJEXT)
169: racoon_OBJECTS = $(am_racoon_OBJECTS)
170: am_racoonctl_OBJECTS = racoonctl.$(OBJEXT) str2val.$(OBJEXT)
171: racoonctl_OBJECTS = $(am_racoonctl_OBJECTS)
172: racoonctl_DEPENDENCIES = libracoon.la ../libipsec/libipsec.la
1.1.1.1.2.3.2 1(misho 173:4): AM_V_P = $(am__v_P_$(V))
174:4): am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
175:4): am__v_P_0 = false
176:4): am__v_P_1 = :
177:4): AM_V_GEN = $(am__v_GEN_$(V))
178:4): am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
179:4): am__v_GEN_0 = @echo " GEN " $@;
180:4): am__v_GEN_1 =
181:4): AM_V_at = $(am__v_at_$(V))
182:4): am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
183:4): am__v_at_0 = @
184:4): am__v_at_1 =
1.1 misho 185: DEFAULT_INCLUDES = -I. -I$(top_builddir)
186: depcomp = $(SHELL) $(top_srcdir)/depcomp
187: am__depfiles_maybe = depfiles
188: am__mv = mv -f
189: COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
190: $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
1.1.1.1.2.3.2 1(misho 191:4): LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
192:4): $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
193:4): $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
194:4): $(AM_CFLAGS) $(CFLAGS)
195:4): AM_V_CC = $(am__v_CC_$(V))
196:4): am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
197:4): am__v_CC_0 = @echo " CC " $@;
198:4): am__v_CC_1 =
1.1 misho 199: CCLD = $(CC)
1.1.1.1.2.3.2 1(misho 200:4): LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
201:4): $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
202:4): $(AM_LDFLAGS) $(LDFLAGS) -o $@
203:4): AM_V_CCLD = $(am__v_CCLD_$(V))
204:4): am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
205:4): am__v_CCLD_0 = @echo " CCLD " $@;
206:4): am__v_CCLD_1 =
207:4): LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
208:4): LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
209:4): $(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
210:4): AM_V_LEX = $(am__v_LEX_$(V))
211:4): am__v_LEX_ = $(am__v_LEX_$(AM_DEFAULT_VERBOSITY))
212:4): am__v_LEX_0 = @echo " LEX " $@;
213:4): am__v_LEX_1 =
1.1 misho 214: YLWRAP = $(top_srcdir)/ylwrap
1.1.1.1.2.3.2 1(misho 215:4): am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
216:4): -e s/c++$$/h++/ -e s/c$$/h/
217:4): YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
218:4): LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
219:4): $(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
220:4): AM_V_YACC = $(am__v_YACC_$(V))
221:4): am__v_YACC_ = $(am__v_YACC_$(AM_DEFAULT_VERBOSITY))
222:4): am__v_YACC_0 = @echo " YACC " $@;
223:4): am__v_YACC_1 =
1.1 misho 224: SOURCES = $(libracoon_la_SOURCES) $(eaytest_SOURCES) \
225: $(EXTRA_eaytest_SOURCES) $(plainrsa_gen_SOURCES) \
226: $(EXTRA_plainrsa_gen_SOURCES) $(racoon_SOURCES) \
227: $(EXTRA_racoon_SOURCES) $(racoonctl_SOURCES)
228: DIST_SOURCES = $(libracoon_la_SOURCES) $(eaytest_SOURCES) \
229: $(EXTRA_eaytest_SOURCES) $(plainrsa_gen_SOURCES) \
230: $(EXTRA_plainrsa_gen_SOURCES) $(racoon_SOURCES) \
231: $(EXTRA_racoon_SOURCES) $(racoonctl_SOURCES)
1.1.1.1.2.3.2 1(misho 232:4): am__can_run_installinfo = \
233:4): case $$AM_UPDATE_INFO_DIR in \
234:4): n|no|NO) false;; \
235:4): *) (install-info --version) >/dev/null 2>&1;; \
236:4): esac
1.1 misho 237: man5dir = $(mandir)/man5
238: man8dir = $(mandir)/man8
239: NROFF = nroff
240: MANS = $(man5_MANS) $(man8_MANS)
241: HEADERS = $(include_racoon_HEADERS) $(noinst_HEADERS)
1.1.1.1.2.3.2 1(misho 242:4): am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
243:4): # Read a list of newline-separated strings from the standard input,
244:4): # and print each of them once, without duplicates. Input order is
245:4): # *not* preserved.
246:4): am__uniquify_input = $(AWK) '\
247:4): BEGIN { nonempty = 0; } \
248:4): { items[$$0] = 1; nonempty = 1; } \
249:4): END { if (nonempty) { for (i in items) print i; }; } \
250:4): '
251:4): # Make sure the list of sources is unique. This is necessary because,
252:4): # e.g., the same source file might be shared among _SOURCES variables
253:4): # for different programs/libraries.
254:4): am__define_uniq_tagged_files = \
255:4): list='$(am__tagged_files)'; \
256:4): unique=`for i in $$list; do \
257:4): if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
258:4): done | $(am__uniquify_input)`
1.1 misho 259: ETAGS = etags
260: CTAGS = ctags
1.1.1.1.2.3.2 1(misho 261:4): am__tty_colors_dummy = \
262:4): mgn= red= grn= lgn= blu= brg= std=; \
263:4): am__color_tests=no
264:4): am__tty_colors = { \
265:4): $(am__tty_colors_dummy); \
266:4): if test "X$(AM_COLOR_TESTS)" = Xno; then \
267:4): am__color_tests=no; \
268:4): elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
269:4): am__color_tests=yes; \
270:4): elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
271:4): am__color_tests=yes; \
272:4): fi; \
273:4): if test $$am__color_tests = yes; then \
274:4): red='[0;31m'; \
275:4): grn='[0;32m'; \
276:4): lgn='[1;32m'; \
277:4): blu='[1;34m'; \
278:4): mgn='[0;35m'; \
279:4): brg='[1m'; \
280:4): std='[m'; \
281:4): fi; \
282:4): }
283:4): am__recheck_rx = ^[ ]*:recheck:[ ]*
284:4): am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
285:4): am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
286:4): # A command that, given a newline-separated list of test names on the
287:4): # standard input, print the name of the tests that are to be re-run
288:4): # upon "make recheck".
289:4): am__list_recheck_tests = $(AWK) '{ \
290:4): recheck = 1; \
291:4): while ((rc = (getline line < ($$0 ".trs"))) != 0) \
292:4): { \
293:4): if (rc < 0) \
294:4): { \
295:4): if ((getline line2 < ($$0 ".log")) < 0) \
296:4): recheck = 0; \
297:4): break; \
298:4): } \
299:4): else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
300:4): { \
301:4): recheck = 0; \
302:4): break; \
303:4): } \
304:4): else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
305:4): { \
306:4): break; \
307:4): } \
308:4): }; \
309:4): if (recheck) \
310:4): print $$0; \
311:4): close ($$0 ".trs"); \
312:4): close ($$0 ".log"); \
313:4): }'
314:4): # A command that, given a newline-separated list of test names on the
315:4): # standard input, create the global log from their .trs and .log files.
316:4): am__create_global_log = $(AWK) ' \
317:4): function fatal(msg) \
318:4): { \
319:4): print "fatal: making $@: " msg | "cat >&2"; \
320:4): exit 1; \
321:4): } \
322:4): function rst_section(header) \
323:4): { \
324:4): print header; \
325:4): len = length(header); \
326:4): for (i = 1; i <= len; i = i + 1) \
327:4): printf "="; \
328:4): printf "\n\n"; \
329:4): } \
330:4): { \
331:4): copy_in_global_log = 1; \
332:4): global_test_result = "RUN"; \
333:4): while ((rc = (getline line < ($$0 ".trs"))) != 0) \
334:4): { \
335:4): if (rc < 0) \
336:4): fatal("failed to read from " $$0 ".trs"); \
337:4): if (line ~ /$(am__global_test_result_rx)/) \
338:4): { \
339:4): sub("$(am__global_test_result_rx)", "", line); \
340:4): sub("[ ]*$$", "", line); \
341:4): global_test_result = line; \
342:4): } \
343:4): else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
344:4): copy_in_global_log = 0; \
345:4): }; \
346:4): if (copy_in_global_log) \
347:4): { \
348:4): rst_section(global_test_result ": " $$0); \
349:4): while ((rc = (getline line < ($$0 ".log"))) != 0) \
350:4): { \
351:4): if (rc < 0) \
352:4): fatal("failed to read from " $$0 ".log"); \
353:4): print line; \
354:4): }; \
355:4): printf "\n"; \
356:4): }; \
357:4): close ($$0 ".trs"); \
358:4): close ($$0 ".log"); \
359:4): }'
360:4): # Restructured Text title.
361:4): am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
362:4): # Solaris 10 'make', and several other traditional 'make' implementations,
363:4): # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
364:4): # by disabling -e (using the XSI extension "set +e") if it's set.
365:4): am__sh_e_setup = case $$- in *e*) set +e;; esac
366:4): # Default flags passed to test drivers.
367:4): am__common_driver_flags = \
368:4): --color-tests "$$am__color_tests" \
369:4): --enable-hard-errors "$$am__enable_hard_errors" \
370:4): --expect-failure "$$am__expect_failure"
371:4): # To be inserted before the command running the test. Creates the
372:4): # directory for the log if needed. Stores in $dir the directory
373:4): # containing $f, in $tst the test, in $log the log. Executes the
374:4): # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
375:4): # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
376:4): # will run the test scripts (or their associated LOG_COMPILER, if
377:4): # thy have one).
378:4): am__check_pre = \
379:4): $(am__sh_e_setup); \
380:4): $(am__vpath_adj_setup) $(am__vpath_adj) \
381:4): $(am__tty_colors); \
382:4): srcdir=$(srcdir); export srcdir; \
383:4): case "$@" in \
384:4): */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
385:4): *) am__odir=.;; \
386:4): esac; \
387:4): test "x$$am__odir" = x"." || test -d "$$am__odir" \
388:4): || $(MKDIR_P) "$$am__odir" || exit $$?; \
389:4): if test -f "./$$f"; then dir=./; \
390:4): elif test -f "$$f"; then dir=; \
391:4): else dir="$(srcdir)/"; fi; \
392:4): tst=$$dir$$f; log='$@'; \
393:4): if test -n '$(DISABLE_HARD_ERRORS)'; then \
394:4): am__enable_hard_errors=no; \
395:4): else \
396:4): am__enable_hard_errors=yes; \
397:4): fi; \
398:4): case " $(XFAIL_TESTS) " in \
399:4): *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
400:4): am__expect_failure=yes;; \
401:4): *) \
402:4): am__expect_failure=no;; \
403:4): esac; \
404:4): $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
405:4): # A shell command to get the names of the tests scripts with any registered
406:4): # extension removed (i.e., equivalently, the names of the test logs, with
407:4): # the '.log' extension removed). The result is saved in the shell variable
408:4): # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
409:4): # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
410:4): # since that might cause problem with VPATH rewrites for suffix-less tests.
411:4): # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
412:4): am__set_TESTS_bases = \
413:4): bases='$(TEST_LOGS)'; \
414:4): bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
415:4): bases=`echo $$bases`
416:4): RECHECK_LOGS = $(TEST_LOGS)
417:4): AM_RECURSIVE_TARGETS = check recheck
418:4): TEST_SUITE_LOG = test-suite.log
419:4): TEST_EXTENSIONS = .test
420:4): LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
421:4): LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
422:4): am__set_b = \
423:4): case '$@' in \
424:4): */*) \
425:4): case '$*' in \
426:4): */*) b='$*';; \
427:4): *) b=`echo '$@' | sed 's/\.log$$//'`; \
428:4): esac;; \
429:4): *) \
430:4): b='$*';; \
431:4): esac
432:4): am__test_logs1 = $(TESTS:=.log)
433:4): am__test_logs2 = $(am__test_logs1:.log=.log)
434:4): TEST_LOGS = $(am__test_logs2:.test.log=.log)
435:4): TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
436:4): TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
437:4): $(TEST_LOG_FLAGS)
1.1 misho 438: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
1.1.1.1.2.3.2 1(misho 439:4): ACLOCAL = aclocal-1.14
440:4): AMTAR = $${TAR-tar}
441:4): AM_DEFAULT_VERBOSITY = 1
1.1 misho 442: AR = ar
1.1.1.1.2.3.2 1(misho 443:4): AUTOCONF = autoconf
444:4): AUTOHEADER = autoheader
445:4): AUTOMAKE = automake-1.14
1.1 misho 446: AWK = gawk
1.1.1.1.2.3.2 1(misho 447:4): CC = cc
1.1 misho 448: CCDEPMODE = depmode=gcc3
1.1.1.1.2.1 misho 449: CFLAGS = -g -O2 -Wall -Werror -Wno-unused
1.1 misho 450: CONFIGURE_AMFLAGS =
1.1.1.1.2.3.2 1(misho 451:4): CPP = cc -E
1.1 misho 452: CPPFLAGS = -I${top_srcdir}/src/racoon/missing
453: CRYPTOBJS =
454: CYGPATH_W = echo
455: DEFS = -DHAVE_CONFIG_H
456: DEPDIR = .deps
1.1.1.1.2.3.2 1(misho 457:4): DLLTOOL = false
1.1 misho 458: DSYMUTIL =
459: DUMPBIN =
460: ECHO_C =
461: ECHO_N = -n
462: ECHO_T =
463: EGREP = /usr/bin/grep -E
464: EXEEXT =
465: EXTRA_CRYPTO =
466: FGREP = /usr/bin/grep -F
1.1.1.1.2.3.2 1(misho 467:4): FRAG_OBJS =
1.1 misho 468: GLIBC_BUGS =
469: GREP = /usr/bin/grep
1.1.1.1.2.3.2 1(misho 470:4): HYBRID_OBJS =
1.1 misho 471: INCLUDE_GLIBC =
1.1.1.1.2.3.2 1(misho 472:4): INSTALL = /usr/bin/install -c
1.1.1.1.2.1 misho 473: INSTALL_DATA = ${INSTALL} -m 644
1.1 misho 474: INSTALL_OPTS =
1.1.1.1.2.1 misho 475: INSTALL_PROGRAM = ${INSTALL}
476: INSTALL_SCRIPT = ${INSTALL}
1.1 misho 477: INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
478: KERNEL_INCLUDE =
479: KRB5_CONFIG = /usr/bin/krb5-config
1.1.1.1.2.3.2 1(misho 480:4): LD = /usr/bin/ld
1.1.1.1.2.1 misho 481: LDFLAGS =
1.1 misho 482: LEX = flex
483: LEXLIB = -lfl
484: LEX_OUTPUT_ROOT = lex.yy
485: LIBOBJS =
1.1.1.1.2.3.2 1(misho 486:4): LIBS = -lcrypto -lreadline
487:4): LIBTOOL = $(SHELL) $(top_builddir)/libtool
1.1 misho 488: LIPO =
489: LN_S = ln -s
490: LTLIBOBJS =
1.1.1.1.2.3.2 1(misho 491:4): MAKEINFO = makeinfo
492:4): MANIFEST_TOOL = :
1.1 misho 493: MKDIR_P = ../.././install-sh -c -d
1.1.1.1.2.3.2 1(misho 494:4): NATT_OBJS =
495:4): NM = /usr/bin/nm -B
1.1 misho 496: NMEDIT =
497: OBJDUMP = objdump
498: OBJEXT = o
499: OTOOL =
500: OTOOL64 =
501: PACKAGE = ipsec-tools
502: PACKAGE_BUGREPORT =
503: PACKAGE_NAME = ipsec-tools
1.1.1.1.2.3.2 1(misho 504:4): PACKAGE_STRING = ipsec-tools 0.8.1
1.1 misho 505: PACKAGE_TARNAME = ipsec-tools
506: PACKAGE_URL =
1.1.1.1.2.3.2 1(misho 507:4): PACKAGE_VERSION = 0.8.1
1.1 misho 508: PATH_SEPARATOR = :
509: RANLIB = ranlib
510: RPM =
511: SECCTX_OBJS =
512: SED = /usr/bin/sed
513: SET_MAKE =
514: SHELL = /bin/sh
515: STRIP = strip
1.1.1.1.2.3.2 1(misho 516:4): VERSION = 0.8.1
1.1 misho 517: YACC = bison -y
518: YFLAGS =
1.1.1.1.2.1 misho 519: abs_builddir = /home/misho/work/embedaddon/ipsec-tools/src/racoon
520: abs_srcdir = /home/misho/work/embedaddon/ipsec-tools/src/racoon
521: abs_top_builddir = /home/misho/work/embedaddon/ipsec-tools
522: abs_top_srcdir = /home/misho/work/embedaddon/ipsec-tools
1.1.1.1.2.3.2 1(misho 523:4): ac_ct_AR = ar
524:4): ac_ct_CC =
1.1 misho 525: ac_ct_DUMPBIN =
526: am__include = include
527: am__leading_dot = .
528: am__quote =
1.1.1.1.2.3.2 1(misho 529:4): am__tar = $${TAR-tar} chof - "$$tardir"
530:4): am__untar = $${TAR-tar} xf -
1.1 misho 531: bindir = ${exec_prefix}/bin
1.1.1.1.2.3.2 1(misho 532:4): build = i386-unknown-freebsd11.0
533:4): build_alias =
1.1 misho 534: build_cpu = i386
1.1.1.1.2.3.2 1(misho 535:4): build_os = freebsd11.0
536:4): build_vendor = unknown
1.1 misho 537: builddir = .
538: datadir = ${datarootdir}
539: datarootdir = ${prefix}/share
540: docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
541: dvidir = ${docdir}
542: exec_prefix = ${prefix}
1.1.1.1.2.3.2 1(misho 543:4): host = i386-unknown-freebsd11.0
1.1 misho 544: host_alias =
545: host_cpu = i386
1.1.1.1.2.3.2 1(misho 546:4): host_os = freebsd11.0
547:4): host_vendor = unknown
1.1 misho 548: htmldir = ${docdir}
549: include_racoondir = ${prefix}/include/racoon
550: includedir = ${prefix}/include
1.1.1.1.2.1 misho 551: infodir = ${datarootdir}/info
552: install_sh = ${SHELL} /home/misho/work/embedaddon/ipsec-tools/install-sh
1.1 misho 553: libdir = ${exec_prefix}/lib
554: libexecdir = ${exec_prefix}/libexec
555: localedir = ${datarootdir}/locale
1.1.1.1.2.3.2 1(misho 556:4): localstatedir = ${prefix}/var
1.1.1.1.2.1 misho 557: mandir = ${datarootdir}/man
1.1.1.1.2.3.2 1(misho 558:4): mkdir_p = $(MKDIR_P)
1.1 misho 559: oldincludedir = /usr/include
560: pdfdir = ${docdir}
1.1.1.1.2.3.2 1(misho 561:4): prefix = /usr/local
1.1 misho 562: program_transform_name = s,x,x,
563: psdir = ${docdir}
564: sbindir = ${exec_prefix}/sbin
565: sharedstatedir = ${prefix}/com
566: srcdir = .
1.1.1.1.2.3.2 1(misho 567:4): sysconfdir = ${prefix}/etc
1.1 misho 568: target_alias =
569: top_build_prefix = ../../
570: top_builddir = ../..
571: top_srcdir = ../..
572: include_racoon_HEADERS = racoonctl.h var.h vmbuf.h misc.h gcmalloc.h admin.h \
573: schedule.h sockmisc.h isakmp_var.h isakmp.h isakmp_xauth.h \
574: isakmp_cfg.h isakmp_unity.h ipsec_doi.h evt.h
575:
576: lib_LTLIBRARIES = libracoon.la
577: adminsockdir = ${localstatedir}/racoon
578: BUILT_SOURCES = cfparse.h prsa_par.h
579: INCLUDES = -I${srcdir}/../libipsec
580: AM_CFLAGS = -D_GNU_SOURCE -DSYSCONFDIR=\"${sysconfdir}\" \
581: -DADMINPORTDIR=\"${adminsockdir}\"
582:
583: AM_LDFLAGS = -lcrypto
584: AM_YFLAGS = -d ${$*_YFLAGS}
585: AM_LFLAGS = ${$*_LFLAGS}
586: prsa_par_YFLAGS = -p prsa
587: prsa_tok_LFLAGS = -Pprsa -olex.yy.c
588: MISSING_ALGOS = \
589: missing/crypto/sha2/sha2.c \
590: missing/crypto/rijndael/rijndael-api-fst.c \
591: missing/crypto/rijndael/rijndael-alg-fst.c
592:
593: racoon_SOURCES = \
594: main.c session.c isakmp.c handler.c \
595: isakmp_ident.c isakmp_agg.c isakmp_base.c \
596: isakmp_quick.c isakmp_inf.c isakmp_newg.c \
597: gssapi.c dnssec.c getcertsbyname.c privsep.c \
598: pfkey.c admin.c evt.c ipsec_doi.c oakley.c grabmyaddr.c vendorid.c \
599: policy.c localconf.c remoteconf.c crypto_openssl.c algorithm.c \
600: proposal.c sainfo.c strnames.c \
601: plog.c logger.c schedule.c str2val.c \
602: safefile.c backupsa.c genlist.c rsalist.c \
603: cftoken.l cfparse.y prsa_tok.l prsa_par.y
604:
605: EXTRA_racoon_SOURCES = isakmp_xauth.c isakmp_cfg.c isakmp_unity.c throttle.c \
606: isakmp_frag.c nattraversal.c security.c $(MISSING_ALGOS)
607:
608: racoon_LDADD = $(CRYPTOBJS) $(HYBRID_OBJS) $(NATT_OBJS) $(FRAG_OBJS) $(LEXLIB) \
609: $(SECCTX_OBJS) vmbuf.o sockmisc.o misc.o ../libipsec/libipsec.la
610:
611: racoon_DEPENDENCIES = \
612: $(CRYPTOBJS) $(HYBRID_OBJS) $(NATT_OBJS) $(FRAG_OBJS) $(SECCTX_OBJS) \
613: vmbuf.o sockmisc.o misc.o
614:
615: racoonctl_SOURCES = racoonctl.c str2val.c
616: racoonctl_LDADD = libracoon.la ../libipsec/libipsec.la
617: libracoon_la_SOURCES = kmpstat.c vmbuf.c sockmisc.c misc.c
618: libracoon_la_CFLAGS = -DNOUSE_PRIVSEP $(AM_CFLAGS)
619: plainrsa_gen_SOURCES = plainrsa-gen.c plog.c \
620: crypto_openssl.c logger.c
621:
622: EXTRA_plainrsa_gen_SOURCES = $(MISSING_ALGOS)
623: plainrsa_gen_LDADD = $(CRYPTOBJS) vmbuf.o misc.o
624: plainrsa_gen_DEPENDENCIES = $(CRYPTOBJS) vmbuf.o misc.o
625: eaytest_SOURCES = eaytest.c plog.c logger.c
626: EXTRA_eaytest_SOURCES = missing/crypto/sha2/sha2.c
627: eaytest_LDADD = crypto_openssl_test.o vmbuf.o str2val.o misc_noplog.o \
628: $(CRYPTOBJS)
629:
630: eaytest_DEPENDENCIES = crypto_openssl_test.o vmbuf.o str2val.o \
631: misc_noplog.o $(CRYPTOBJS)
632:
633: noinst_HEADERS = \
634: admin.h dnssec.h isakmp_base.h oakley.h session.h \
635: admin_var.h dump.h isakmp_ident.h pfkey.h sockmisc.h \
636: algorithm.h gcmalloc.h isakmp_inf.h plog.h str2val.h \
637: backupsa.h gnuc.h isakmp_newg.h policy.h strnames.h \
638: grabmyaddr.h isakmp_quick.h proposal.h var.h evt.h \
639: gssapi.h isakmp_var.h vendorid.h nattraversal.h\
640: crypto_openssl.h handler.h localconf.h remoteconf.h vmbuf.h \
641: debug.h ipsec_doi.h logger.h safefile.h \
642: debugrm.h isakmp.h misc.h sainfo.h \
643: dhgroup.h isakmp_agg.h netdb_dnssec.h schedule.h \
644: isakmp_cfg.h isakmp_xauth.h isakmp_unity.h isakmp_frag.h \
645: throttle.h privsep.h \
646: cfparse_proto.h cftoken_proto.h genlist.h rsalist.h \
647: missing/crypto/sha2/sha2.h missing/crypto/rijndael/rijndael_local.h \
648: missing/crypto/rijndael/rijndael-api-fst.h \
649: missing/crypto/rijndael/rijndael-alg-fst.h \
650: missing/crypto/rijndael/rijndael.h
651:
652: man5_MANS = racoon.conf.5
653: man8_MANS = racoon.8 racoonctl.8 plainrsa-gen.8
654: EXTRA_DIST = \
655: ${man5_MANS} ${man8_MANS} \
656: missing/crypto/rijndael/boxes-fst.dat \
657: doc/FAQ doc/README.certificate doc/README.gssapi doc/README.plainrsa \
658: doc/README.privsep \
659: contrib/sp.pl stats.pl \
660: samples/psk.txt.sample samples/racoon.conf.sample \
661: samples/psk.txt.in samples/racoon.conf.in \
662: samples/racoon.conf.sample-gssapi samples/racoon.conf.sample-natt \
663: samples/racoon.conf.sample-inherit samples/racoon.conf.sample-plainrsa \
664: samples/roadwarrior/README \
665: samples/roadwarrior/client/phase1-down.sh \
666: samples/roadwarrior/client/phase1-up.sh \
667: samples/roadwarrior/client/racoon.conf \
668: samples/roadwarrior/server/racoon.conf \
669: samples/roadwarrior/server/racoon.conf-radius
670:
671: all: $(BUILT_SOURCES)
672: $(MAKE) $(AM_MAKEFLAGS) all-am
673:
674: .SUFFIXES:
1.1.1.1.2.3.2 1(misho 675:4): .SUFFIXES: .c .l .lo .log .o .obj .test .test$(EXEEXT) .trs .y
1.1 misho 676: $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
677: @for dep in $?; do \
678: case '$(am__configure_deps)' in \
679: *$$dep*) \
680: ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
681: && { if test -f $@; then exit 0; else break; fi; }; \
682: exit 1;; \
683: esac; \
684: done; \
685: echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/racoon/Makefile'; \
686: $(am__cd) $(top_srcdir) && \
687: $(AUTOMAKE) --foreign src/racoon/Makefile
688: .PRECIOUS: Makefile
689: Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
690: @case '$?' in \
691: *config.status*) \
692: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
693: *) \
694: echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
695: cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
696: esac;
697:
698: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
699: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
700:
701: $(top_srcdir)/configure: $(am__configure_deps)
702: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
703: $(ACLOCAL_M4): $(am__aclocal_m4_deps)
704: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
705: $(am__aclocal_m4_deps):
1.1.1.1.2.3.2 1(misho 706:4):
1.1 misho 707: install-libLTLIBRARIES: $(lib_LTLIBRARIES)
708: @$(NORMAL_INSTALL)
709: @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
710: list2=; for p in $$list; do \
711: if test -f $$p; then \
712: list2="$$list2 $$p"; \
713: else :; fi; \
714: done; \
715: test -z "$$list2" || { \
1.1.1.1.2.3.2 1(misho 716:4): echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
717:4): $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
1.1 misho 718: echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
719: $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
720: }
721:
722: uninstall-libLTLIBRARIES:
723: @$(NORMAL_UNINSTALL)
724: @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
725: for p in $$list; do \
726: $(am__strip_dir) \
727: echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
728: $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
729: done
730:
731: clean-libLTLIBRARIES:
732: -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
1.1.1.1.2.3.2 1(misho 733:4): @list='$(lib_LTLIBRARIES)'; \
734:4): locs=`for p in $$list; do echo $$p; done | \
735:4): sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
736:4): sort -u`; \
737:4): test -z "$$locs" || { \
738:4): echo rm -f $${locs}; \
739:4): rm -f $${locs}; \
740:4): }
741:4):
742:4): libracoon.la: $(libracoon_la_OBJECTS) $(libracoon_la_DEPENDENCIES) $(EXTRA_libracoon_la_DEPENDENCIES)
743:4): $(AM_V_CCLD)$(libracoon_la_LINK) -rpath $(libdir) $(libracoon_la_OBJECTS) $(libracoon_la_LIBADD) $(LIBS)
1.1 misho 744:
745: clean-noinstPROGRAMS:
746: @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
747: echo " rm -f" $$list; \
748: rm -f $$list || exit $$?; \
749: test -n "$(EXEEXT)" || exit 0; \
750: list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
751: echo " rm -f" $$list; \
752: rm -f $$list
753: install-sbinPROGRAMS: $(sbin_PROGRAMS)
754: @$(NORMAL_INSTALL)
755: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
1.1.1.1.2.3.2 1(misho 756:4): if test -n "$$list"; then \
757:4): echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
758:4): $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
759:4): fi; \
1.1 misho 760: for p in $$list; do echo "$$p $$p"; done | \
761: sed 's/$(EXEEXT)$$//' | \
1.1.1.1.2.3.2 1(misho 762:4): while read p p1; do if test -f $$p \
763:4): || test -f $$p1 \
764:4): ; then echo "$$p"; echo "$$p"; else :; fi; \
1.1 misho 765: done | \
1.1.1.1.2.3.2 1(misho 766:4): sed -e 'p;s,.*/,,;n;h' \
767:4): -e 's|.*|.|' \
1.1 misho 768: -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
769: sed 'N;N;N;s,\n, ,g' | \
770: $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
771: { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
772: if ($$2 == $$4) files[d] = files[d] " " $$1; \
773: else { print "f", $$3 "/" $$4, $$1; } } \
774: END { for (d in files) print "f", d, files[d] }' | \
775: while read type dir files; do \
776: if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
777: test -z "$$files" || { \
778: echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
779: $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
780: } \
781: ; done
782:
783: uninstall-sbinPROGRAMS:
784: @$(NORMAL_UNINSTALL)
785: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
786: files=`for p in $$list; do echo "$$p"; done | \
787: sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1.1.1.1.2.3.2 1(misho 788:4): -e 's/$$/$(EXEEXT)/' \
789:4): `; \
1.1 misho 790: test -n "$$list" || exit 0; \
791: echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
792: cd "$(DESTDIR)$(sbindir)" && rm -f $$files
793:
794: clean-sbinPROGRAMS:
795: @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
796: echo " rm -f" $$list; \
797: rm -f $$list || exit $$?; \
798: test -n "$(EXEEXT)" || exit 0; \
799: list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
800: echo " rm -f" $$list; \
801: rm -f $$list
1.1.1.1.2.3.2 1(misho 802:4):
803:4): eaytest$(EXEEXT): $(eaytest_OBJECTS) $(eaytest_DEPENDENCIES) $(EXTRA_eaytest_DEPENDENCIES)
1.1 misho 804: @rm -f eaytest$(EXEEXT)
1.1.1.1.2.3.2 1(misho 805:4): $(AM_V_CCLD)$(LINK) $(eaytest_OBJECTS) $(eaytest_LDADD) $(LIBS)
806:4):
807:4): plainrsa-gen$(EXEEXT): $(plainrsa_gen_OBJECTS) $(plainrsa_gen_DEPENDENCIES) $(EXTRA_plainrsa_gen_DEPENDENCIES)
1.1 misho 808: @rm -f plainrsa-gen$(EXEEXT)
1.1.1.1.2.3.2 1(misho 809:4): $(AM_V_CCLD)$(LINK) $(plainrsa_gen_OBJECTS) $(plainrsa_gen_LDADD) $(LIBS)
1.1 misho 810: cfparse.h: cfparse.c
1.1.1.1.2.3.2 1(misho 811:4): @if test ! -f $@; then rm -f cfparse.c; else :; fi
812:4): @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) cfparse.c; else :; fi
1.1 misho 813: prsa_par.h: prsa_par.c
1.1.1.1.2.3.2 1(misho 814:4): @if test ! -f $@; then rm -f prsa_par.c; else :; fi
815:4): @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) prsa_par.c; else :; fi
816:4):
817:4): racoon$(EXEEXT): $(racoon_OBJECTS) $(racoon_DEPENDENCIES) $(EXTRA_racoon_DEPENDENCIES)
1.1 misho 818: @rm -f racoon$(EXEEXT)
1.1.1.1.2.3.2 1(misho 819:4): $(AM_V_CCLD)$(LINK) $(racoon_OBJECTS) $(racoon_LDADD) $(LIBS)
820:4):
821:4): racoonctl$(EXEEXT): $(racoonctl_OBJECTS) $(racoonctl_DEPENDENCIES) $(EXTRA_racoonctl_DEPENDENCIES)
1.1 misho 822: @rm -f racoonctl$(EXEEXT)
1.1.1.1.2.3.2 1(misho 823:4): $(AM_V_CCLD)$(LINK) $(racoonctl_OBJECTS) $(racoonctl_LDADD) $(LIBS)
1.1 misho 824:
825: mostlyclean-compile:
826: -rm -f *.$(OBJEXT)
827:
828: distclean-compile:
829: -rm -f *.tab.c
830:
831: include ./$(DEPDIR)/admin.Po
832: include ./$(DEPDIR)/algorithm.Po
833: include ./$(DEPDIR)/backupsa.Po
834: include ./$(DEPDIR)/cfparse.Po
835: include ./$(DEPDIR)/cftoken.Po
836: include ./$(DEPDIR)/crypto_openssl.Po
837: include ./$(DEPDIR)/dnssec.Po
838: include ./$(DEPDIR)/eaytest.Po
839: include ./$(DEPDIR)/evt.Po
840: include ./$(DEPDIR)/genlist.Po
841: include ./$(DEPDIR)/getcertsbyname.Po
842: include ./$(DEPDIR)/grabmyaddr.Po
843: include ./$(DEPDIR)/gssapi.Po
844: include ./$(DEPDIR)/handler.Po
845: include ./$(DEPDIR)/ipsec_doi.Po
846: include ./$(DEPDIR)/isakmp.Po
847: include ./$(DEPDIR)/isakmp_agg.Po
848: include ./$(DEPDIR)/isakmp_base.Po
849: include ./$(DEPDIR)/isakmp_cfg.Po
850: include ./$(DEPDIR)/isakmp_frag.Po
851: include ./$(DEPDIR)/isakmp_ident.Po
852: include ./$(DEPDIR)/isakmp_inf.Po
853: include ./$(DEPDIR)/isakmp_newg.Po
854: include ./$(DEPDIR)/isakmp_quick.Po
855: include ./$(DEPDIR)/isakmp_unity.Po
856: include ./$(DEPDIR)/isakmp_xauth.Po
857: include ./$(DEPDIR)/libracoon_la-kmpstat.Plo
858: include ./$(DEPDIR)/libracoon_la-misc.Plo
859: include ./$(DEPDIR)/libracoon_la-sockmisc.Plo
860: include ./$(DEPDIR)/libracoon_la-vmbuf.Plo
861: include ./$(DEPDIR)/localconf.Po
862: include ./$(DEPDIR)/logger.Po
863: include ./$(DEPDIR)/main.Po
864: include ./$(DEPDIR)/nattraversal.Po
865: include ./$(DEPDIR)/oakley.Po
866: include ./$(DEPDIR)/pfkey.Po
867: include ./$(DEPDIR)/plainrsa-gen.Po
868: include ./$(DEPDIR)/plog.Po
869: include ./$(DEPDIR)/policy.Po
870: include ./$(DEPDIR)/privsep.Po
871: include ./$(DEPDIR)/proposal.Po
872: include ./$(DEPDIR)/prsa_par.Po
873: include ./$(DEPDIR)/prsa_tok.Po
874: include ./$(DEPDIR)/racoonctl.Po
875: include ./$(DEPDIR)/remoteconf.Po
876: include ./$(DEPDIR)/rijndael-alg-fst.Po
877: include ./$(DEPDIR)/rijndael-api-fst.Po
878: include ./$(DEPDIR)/rsalist.Po
879: include ./$(DEPDIR)/safefile.Po
880: include ./$(DEPDIR)/sainfo.Po
881: include ./$(DEPDIR)/schedule.Po
882: include ./$(DEPDIR)/security.Po
883: include ./$(DEPDIR)/session.Po
884: include ./$(DEPDIR)/sha2.Po
885: include ./$(DEPDIR)/str2val.Po
886: include ./$(DEPDIR)/strnames.Po
887: include ./$(DEPDIR)/throttle.Po
888: include ./$(DEPDIR)/vendorid.Po
889:
890: .c.o:
1.1.1.1.2.3.2 1(misho 891:4): $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
892:4): $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
893:4): # $(AM_V_CC)source='$<' object='$@' libtool=no \
1.1 misho 894: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 895:4): # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
1.1 misho 896:
897: .c.obj:
1.1.1.1.2.3.2 1(misho 898:4): $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
899:4): $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
900:4): # $(AM_V_CC)source='$<' object='$@' libtool=no \
1.1 misho 901: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 902:4): # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1.1 misho 903:
904: .c.lo:
1.1.1.1.2.3.2 1(misho 905:4): $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
906:4): $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
907:4): # $(AM_V_CC)source='$<' object='$@' libtool=yes \
1.1 misho 908: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 909:4): # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
1.1 misho 910:
911: libracoon_la-kmpstat.lo: kmpstat.c
1.1.1.1.2.3.2 1(misho 912:4): $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-kmpstat.lo -MD -MP -MF $(DEPDIR)/libracoon_la-kmpstat.Tpo -c -o libracoon_la-kmpstat.lo `test -f 'kmpstat.c' || echo '$(srcdir)/'`kmpstat.c
913:4): $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-kmpstat.Tpo $(DEPDIR)/libracoon_la-kmpstat.Plo
914:4): # $(AM_V_CC)source='kmpstat.c' object='libracoon_la-kmpstat.lo' libtool=yes \
1.1 misho 915: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 916:4): # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-kmpstat.lo `test -f 'kmpstat.c' || echo '$(srcdir)/'`kmpstat.c
1.1 misho 917:
918: libracoon_la-vmbuf.lo: vmbuf.c
1.1.1.1.2.3.2 1(misho 919:4): $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-vmbuf.lo -MD -MP -MF $(DEPDIR)/libracoon_la-vmbuf.Tpo -c -o libracoon_la-vmbuf.lo `test -f 'vmbuf.c' || echo '$(srcdir)/'`vmbuf.c
920:4): $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-vmbuf.Tpo $(DEPDIR)/libracoon_la-vmbuf.Plo
921:4): # $(AM_V_CC)source='vmbuf.c' object='libracoon_la-vmbuf.lo' libtool=yes \
1.1 misho 922: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 923:4): # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-vmbuf.lo `test -f 'vmbuf.c' || echo '$(srcdir)/'`vmbuf.c
1.1 misho 924:
925: libracoon_la-sockmisc.lo: sockmisc.c
1.1.1.1.2.3.2 1(misho 926:4): $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-sockmisc.lo -MD -MP -MF $(DEPDIR)/libracoon_la-sockmisc.Tpo -c -o libracoon_la-sockmisc.lo `test -f 'sockmisc.c' || echo '$(srcdir)/'`sockmisc.c
927:4): $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-sockmisc.Tpo $(DEPDIR)/libracoon_la-sockmisc.Plo
928:4): # $(AM_V_CC)source='sockmisc.c' object='libracoon_la-sockmisc.lo' libtool=yes \
1.1 misho 929: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 930:4): # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-sockmisc.lo `test -f 'sockmisc.c' || echo '$(srcdir)/'`sockmisc.c
1.1 misho 931:
932: libracoon_la-misc.lo: misc.c
1.1.1.1.2.3.2 1(misho 933:4): $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-misc.lo -MD -MP -MF $(DEPDIR)/libracoon_la-misc.Tpo -c -o libracoon_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
934:4): $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-misc.Tpo $(DEPDIR)/libracoon_la-misc.Plo
935:4): # $(AM_V_CC)source='misc.c' object='libracoon_la-misc.lo' libtool=yes \
1.1 misho 936: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 937:4): # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
1.1 misho 938:
939: sha2.obj: missing/crypto/sha2/sha2.c
1.1.1.1.2.3.2 1(misho 940:4): $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sha2.obj -MD -MP -MF $(DEPDIR)/sha2.Tpo -c -o sha2.obj `if test -f 'missing/crypto/sha2/sha2.c'; then $(CYGPATH_W) 'missing/crypto/sha2/sha2.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/sha2/sha2.c'; fi`
941:4): $(AM_V_at)$(am__mv) $(DEPDIR)/sha2.Tpo $(DEPDIR)/sha2.Po
942:4): # $(AM_V_CC)source='missing/crypto/sha2/sha2.c' object='sha2.obj' libtool=no \
1.1 misho 943: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 944:4): # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sha2.obj `if test -f 'missing/crypto/sha2/sha2.c'; then $(CYGPATH_W) 'missing/crypto/sha2/sha2.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/sha2/sha2.c'; fi`
1.1 misho 945:
946: rijndael-api-fst.obj: missing/crypto/rijndael/rijndael-api-fst.c
1.1.1.1.2.3.2 1(misho 947:4): $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT rijndael-api-fst.obj -MD -MP -MF $(DEPDIR)/rijndael-api-fst.Tpo -c -o rijndael-api-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-api-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-api-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-api-fst.c'; fi`
948:4): $(AM_V_at)$(am__mv) $(DEPDIR)/rijndael-api-fst.Tpo $(DEPDIR)/rijndael-api-fst.Po
949:4): # $(AM_V_CC)source='missing/crypto/rijndael/rijndael-api-fst.c' object='rijndael-api-fst.obj' libtool=no \
1.1 misho 950: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 951:4): # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o rijndael-api-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-api-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-api-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-api-fst.c'; fi`
1.1 misho 952:
953: rijndael-alg-fst.obj: missing/crypto/rijndael/rijndael-alg-fst.c
1.1.1.1.2.3.2 1(misho 954:4): $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT rijndael-alg-fst.obj -MD -MP -MF $(DEPDIR)/rijndael-alg-fst.Tpo -c -o rijndael-alg-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-alg-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-alg-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-alg-fst.c'; fi`
955:4): $(AM_V_at)$(am__mv) $(DEPDIR)/rijndael-alg-fst.Tpo $(DEPDIR)/rijndael-alg-fst.Po
956:4): # $(AM_V_CC)source='missing/crypto/rijndael/rijndael-alg-fst.c' object='rijndael-alg-fst.obj' libtool=no \
1.1 misho 957: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.1.2.3.2 1(misho 958:4): # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o rijndael-alg-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-alg-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-alg-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-alg-fst.c'; fi`
1.1 misho 959:
960: .l.c:
1.1.1.1.2.3.2 1(misho 961:4): $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
1.1 misho 962:
963: .y.c:
1.1.1.1.2.3.2 1(misho 964:4): $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1.1 misho 965:
966: mostlyclean-libtool:
967: -rm -f *.lo
968:
969: clean-libtool:
970: -rm -rf .libs _libs
971: install-man5: $(man5_MANS)
972: @$(NORMAL_INSTALL)
1.1.1.1.2.3.2 1(misho 973:4): @list1='$(man5_MANS)'; \
974:4): list2=''; \
975:4): test -n "$(man5dir)" \
976:4): && test -n "`echo $$list1$$list2`" \
977:4): || exit 0; \
978:4): echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
979:4): $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
980:4): { for i in $$list1; do echo "$$i"; done; \
981:4): if test -n "$$list2"; then \
982:4): for i in $$list2; do echo "$$i"; done \
983:4): | sed -n '/\.5[a-z]*$$/p'; \
984:4): fi; \
1.1 misho 985: } | while read p; do \
986: if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
987: echo "$$d$$p"; echo "$$p"; \
988: done | \
989: sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
990: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
991: sed 'N;N;s,\n, ,g' | { \
992: list=; while read file base inst; do \
993: if test "$$base" = "$$inst"; then list="$$list $$file"; else \
994: echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
995: $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
996: fi; \
997: done; \
998: for i in $$list; do echo "$$i"; done | $(am__base_list) | \
999: while read files; do \
1000: test -z "$$files" || { \
1001: echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
1002: $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
1003: done; }
1004:
1005: uninstall-man5:
1006: @$(NORMAL_UNINSTALL)
1007: @list='$(man5_MANS)'; test -n "$(man5dir)" || exit 0; \
1008: files=`{ for i in $$list; do echo "$$i"; done; \
1009: } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
1010: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1.1.1.1.2.3.2 1(misho 1011:4): dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
1.1 misho 1012: install-man8: $(man8_MANS)
1013: @$(NORMAL_INSTALL)
1.1.1.1.2.3.2 1(misho 1014:4): @list1='$(man8_MANS)'; \
1015:4): list2=''; \
1016:4): test -n "$(man8dir)" \
1017:4): && test -n "`echo $$list1$$list2`" \
1018:4): || exit 0; \
1019:4): echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
1020:4): $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
1021:4): { for i in $$list1; do echo "$$i"; done; \
1022:4): if test -n "$$list2"; then \
1023:4): for i in $$list2; do echo "$$i"; done \
1024:4): | sed -n '/\.8[a-z]*$$/p'; \
1025:4): fi; \
1.1 misho 1026: } | while read p; do \
1027: if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1028: echo "$$d$$p"; echo "$$p"; \
1029: done | \
1030: sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
1031: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1032: sed 'N;N;s,\n, ,g' | { \
1033: list=; while read file base inst; do \
1034: if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1035: echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
1036: $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
1037: fi; \
1038: done; \
1039: for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1040: while read files; do \
1041: test -z "$$files" || { \
1042: echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
1043: $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
1044: done; }
1045:
1046: uninstall-man8:
1047: @$(NORMAL_UNINSTALL)
1048: @list='$(man8_MANS)'; test -n "$(man8dir)" || exit 0; \
1049: files=`{ for i in $$list; do echo "$$i"; done; \
1050: } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
1051: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1.1.1.1.2.3.2 1(misho 1052:4): dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
1.1 misho 1053: install-include_racoonHEADERS: $(include_racoon_HEADERS)
1054: @$(NORMAL_INSTALL)
1055: @list='$(include_racoon_HEADERS)'; test -n "$(include_racoondir)" || list=; \
1.1.1.1.2.3.2 1(misho 1056:4): if test -n "$$list"; then \
1057:4): echo " $(MKDIR_P) '$(DESTDIR)$(include_racoondir)'"; \
1058:4): $(MKDIR_P) "$(DESTDIR)$(include_racoondir)" || exit 1; \
1059:4): fi; \
1.1 misho 1060: for p in $$list; do \
1061: if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1062: echo "$$d$$p"; \
1063: done | $(am__base_list) | \
1064: while read files; do \
1065: echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(include_racoondir)'"; \
1066: $(INSTALL_HEADER) $$files "$(DESTDIR)$(include_racoondir)" || exit $$?; \
1067: done
1068:
1069: uninstall-include_racoonHEADERS:
1070: @$(NORMAL_UNINSTALL)
1071: @list='$(include_racoon_HEADERS)'; test -n "$(include_racoondir)" || list=; \
1072: files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1.1.1.1.2.3.2 1(misho 1073:4): dir='$(DESTDIR)$(include_racoondir)'; $(am__uninstall_files_from_dir)
1074:4):
1075:4): ID: $(am__tagged_files)
1076:4): $(am__define_uniq_tagged_files); mkid -fID $$unique
1077:4): tags: tags-am
1078:4): TAGS: tags
1.1 misho 1079:
1.1.1.1.2.3.2 1(misho 1080:4): tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1.1 misho 1081: set x; \
1082: here=`pwd`; \
1.1.1.1.2.3.2 1(misho 1083:4): $(am__define_uniq_tagged_files); \
1.1 misho 1084: shift; \
1085: if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1086: test -n "$$unique" || unique=$$empty_fix; \
1087: if test $$# -gt 0; then \
1088: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1089: "$$@" $$unique; \
1090: else \
1091: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1092: $$unique; \
1093: fi; \
1094: fi
1.1.1.1.2.3.2 1(misho 1095:4): ctags: ctags-am
1096:4):
1097:4): CTAGS: ctags
1098:4): ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1099:4): $(am__define_uniq_tagged_files); \
1.1 misho 1100: test -z "$(CTAGS_ARGS)$$unique" \
1101: || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1102: $$unique
1103:
1104: GTAGS:
1105: here=`$(am__cd) $(top_builddir) && pwd` \
1106: && $(am__cd) $(top_srcdir) \
1107: && gtags -i $(GTAGS_ARGS) "$$here"
1.1.1.1.2.3.2 1(misho 1108:4): cscopelist: cscopelist-am
1109:4):
1110:4): cscopelist-am: $(am__tagged_files)
1111:4): list='$(am__tagged_files)'; \
1112:4): case "$(srcdir)" in \
1113:4): [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1114:4): *) sdir=$(subdir)/$(srcdir) ;; \
1115:4): esac; \
1116:4): for i in $$list; do \
1117:4): if test -f "$$i"; then \
1118:4): echo "$(subdir)/$$i"; \
1119:4): else \
1120:4): echo "$$sdir/$$i"; \
1121:4): fi; \
1122:4): done >> $(top_builddir)/cscope.files
1.1 misho 1123:
1124: distclean-tags:
1125: -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1126:
1.1.1.1.2.3.2 1(misho 1127:4): # Recover from deleted '.trs' file; this should ensure that
1128:4): # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1129:4): # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1130:4): # to avoid problems with "make -n".
1131:4): .log.trs:
1132:4): rm -f $< $@
1133:4): $(MAKE) $(AM_MAKEFLAGS) $<
1134:4):
1135:4): # Leading 'am--fnord' is there to ensure the list of targets does not
1136:4): # expand to empty, as could happen e.g. with make check TESTS=''.
1137:4): am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1138:4): am--force-recheck:
1139:4): @:
1140:4):
1141:4): $(TEST_SUITE_LOG): $(TEST_LOGS)
1142:4): @$(am__set_TESTS_bases); \
1143:4): am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1144:4): redo_bases=`for i in $$bases; do \
1145:4): am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1146:4): done`; \
1147:4): if test -n "$$redo_bases"; then \
1148:4): redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1149:4): redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1150:4): if $(am__make_dryrun); then :; else \
1151:4): rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1.1 misho 1152: fi; \
1.1.1.1.2.3.2 1(misho 1153:4): fi; \
1154:4): if test -n "$$am__remaking_logs"; then \
1155:4): echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1156:4): "recursion detected" >&2; \
1157:4): else \
1158:4): am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1159:4): fi; \
1160:4): if $(am__make_dryrun); then :; else \
1161:4): st=0; \
1162:4): errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1163:4): for i in $$redo_bases; do \
1164:4): test -f $$i.trs && test -r $$i.trs \
1165:4): || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1166:4): test -f $$i.log && test -r $$i.log \
1167:4): || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1168:4): done; \
1169:4): test $$st -eq 0 || exit 1; \
1170:4): fi
1171:4): @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1172:4): ws='[ ]'; \
1173:4): results=`for b in $$bases; do echo $$b.trs; done`; \
1174:4): test -n "$$results" || results=/dev/null; \
1175:4): all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1176:4): pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1177:4): fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1178:4): skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1179:4): xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1180:4): xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1181:4): error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1182:4): if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1183:4): success=true; \
1184:4): else \
1185:4): success=false; \
1186:4): fi; \
1187:4): br='==================='; br=$$br$$br$$br$$br; \
1188:4): result_count () \
1189:4): { \
1190:4): if test x"$$1" = x"--maybe-color"; then \
1191:4): maybe_colorize=yes; \
1192:4): elif test x"$$1" = x"--no-color"; then \
1193:4): maybe_colorize=no; \
1.1 misho 1194: else \
1.1.1.1.2.3.2 1(misho 1195:4): echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1.1 misho 1196: fi; \
1.1.1.1.2.3.2 1(misho 1197:4): shift; \
1198:4): desc=$$1 count=$$2; \
1199:4): if test $$maybe_colorize = yes && test $$count -gt 0; then \
1200:4): color_start=$$3 color_end=$$std; \
1.1 misho 1201: else \
1.1.1.1.2.3.2 1(misho 1202:4): color_start= color_end=; \
1.1 misho 1203: fi; \
1.1.1.1.2.3.2 1(misho 1204:4): echo "$${color_start}# $$desc $$count$${color_end}"; \
1205:4): }; \
1206:4): create_testsuite_report () \
1207:4): { \
1208:4): result_count $$1 "TOTAL:" $$all "$$brg"; \
1209:4): result_count $$1 "PASS: " $$pass "$$grn"; \
1210:4): result_count $$1 "SKIP: " $$skip "$$blu"; \
1211:4): result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1212:4): result_count $$1 "FAIL: " $$fail "$$red"; \
1213:4): result_count $$1 "XPASS:" $$xpass "$$red"; \
1214:4): result_count $$1 "ERROR:" $$error "$$mgn"; \
1215:4): }; \
1216:4): { \
1217:4): echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1218:4): $(am__rst_title); \
1219:4): create_testsuite_report --no-color; \
1220:4): echo; \
1221:4): echo ".. contents:: :depth: 2"; \
1222:4): echo; \
1223:4): for b in $$bases; do echo $$b; done \
1224:4): | $(am__create_global_log); \
1225:4): } >$(TEST_SUITE_LOG).tmp || exit 1; \
1226:4): mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1227:4): if $$success; then \
1228:4): col="$$grn"; \
1229:4): else \
1230:4): col="$$red"; \
1231:4): test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1232:4): fi; \
1233:4): echo "$${col}$$br$${std}"; \
1234:4): echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1235:4): echo "$${col}$$br$${std}"; \
1236:4): create_testsuite_report --maybe-color; \
1237:4): echo "$$col$$br$$std"; \
1238:4): if $$success; then :; else \
1239:4): echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1240:4): if test -n "$(PACKAGE_BUGREPORT)"; then \
1241:4): echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1242:4): fi; \
1243:4): echo "$$col$$br$$std"; \
1244:4): fi; \
1245:4): $$success || exit 1
1246:4):
1247:4): check-TESTS:
1248:4): @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1249:4): @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1250:4): @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1251:4): @set +e; $(am__set_TESTS_bases); \
1252:4): log_list=`for i in $$bases; do echo $$i.log; done`; \
1253:4): trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1254:4): log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1255:4): $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1256:4): exit $$?;
1257:4): recheck: all
1258:4): @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1259:4): @set +e; $(am__set_TESTS_bases); \
1260:4): bases=`for i in $$bases; do echo $$i; done \
1261:4): | $(am__list_recheck_tests)` || exit 1; \
1262:4): log_list=`for i in $$bases; do echo $$i.log; done`; \
1263:4): log_list=`echo $$log_list`; \
1264:4): $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1265:4): am__force_recheck=am--force-recheck \
1266:4): TEST_LOGS="$$log_list"; \
1267:4): exit $$?
1268:4): eaytest.log: eaytest$(EXEEXT)
1269:4): @p='eaytest$(EXEEXT)'; \
1270:4): b='eaytest'; \
1271:4): $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1272:4): --log-file $$b.log --trs-file $$b.trs \
1273:4): $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1274:4): "$$tst" $(AM_TESTS_FD_REDIRECT)
1275:4): .test.log:
1276:4): @p='$<'; \
1277:4): $(am__set_b); \
1278:4): $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1279:4): --log-file $$b.log --trs-file $$b.trs \
1280:4): $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1281:4): "$$tst" $(AM_TESTS_FD_REDIRECT)
1282:4): #.test$(EXEEXT).log:
1283:4): # @p='$<'; \
1284:4): # $(am__set_b); \
1285:4): # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1286:4): # --log-file $$b.log --trs-file $$b.trs \
1287:4): # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1288:4): # "$$tst" $(AM_TESTS_FD_REDIRECT)
1.1 misho 1289:
1290: distdir: $(DISTFILES)
1291: @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1292: topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1293: list='$(DISTFILES)'; \
1294: dist_files=`for file in $$list; do echo $$file; done | \
1295: sed -e "s|^$$srcdirstrip/||;t" \
1296: -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1297: case $$dist_files in \
1298: */*) $(MKDIR_P) `echo "$$dist_files" | \
1299: sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1300: sort -u` ;; \
1301: esac; \
1302: for file in $$dist_files; do \
1303: if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1304: if test -d $$d/$$file; then \
1305: dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1306: if test -d "$(distdir)/$$file"; then \
1307: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1308: fi; \
1309: if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1310: cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1311: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1312: fi; \
1313: cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1314: else \
1315: test -f "$(distdir)/$$file" \
1316: || cp -p $$d/$$file "$(distdir)/$$file" \
1317: || exit 1; \
1318: fi; \
1319: done
1320: check-am: all-am
1321: $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1322: check: $(BUILT_SOURCES)
1323: $(MAKE) $(AM_MAKEFLAGS) check-am
1324: all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(MANS) $(HEADERS)
1325: installdirs:
1326: for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(include_racoondir)"; do \
1327: test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1328: done
1329: install: $(BUILT_SOURCES)
1330: $(MAKE) $(AM_MAKEFLAGS) install-am
1331: install-exec: install-exec-am
1332: install-data: install-data-am
1333: uninstall: uninstall-am
1334:
1335: install-am: all-am
1336: @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1337:
1338: installcheck: installcheck-am
1339: install-strip:
1.1.1.1.2.3.2 1(misho 1340:4): if test -z '$(STRIP)'; then \
1341:4): $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1342:4): install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1343:4): install; \
1344:4): else \
1345:4): $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1346:4): install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1347:4): "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1348:4): fi
1.1 misho 1349: mostlyclean-generic:
1.1.1.1.2.3.2 1(misho 1350:4): -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1351:4): -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1352:4): -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1.1 misho 1353:
1354: clean-generic:
1355:
1356: distclean-generic:
1357: -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1358: -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1359:
1360: maintainer-clean-generic:
1361: @echo "This command is intended for maintainers to use"
1362: @echo "it deletes files that may require special tools to rebuild."
1363: -rm -f cfparse.c
1364: -rm -f cfparse.h
1365: -rm -f cftoken.c
1366: -rm -f prsa_par.c
1367: -rm -f prsa_par.h
1368: -rm -f prsa_tok.c
1369: -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1370: clean: clean-am
1371:
1372: clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
1373: clean-noinstPROGRAMS clean-sbinPROGRAMS mostlyclean-am
1374:
1375: distclean: distclean-am
1376: -rm -rf ./$(DEPDIR)
1377: -rm -f Makefile
1378: distclean-am: clean-am distclean-compile distclean-generic \
1379: distclean-tags
1380:
1381: dvi: dvi-am
1382:
1383: dvi-am:
1384:
1385: html: html-am
1386:
1387: html-am:
1388:
1389: info: info-am
1390:
1391: info-am:
1392:
1393: install-data-am: install-include_racoonHEADERS install-man
1394:
1395: install-dvi: install-dvi-am
1396:
1397: install-dvi-am:
1398:
1399: install-exec-am: install-exec-local install-libLTLIBRARIES \
1400: install-sbinPROGRAMS
1401:
1402: install-html: install-html-am
1403:
1404: install-html-am:
1405:
1406: install-info: install-info-am
1407:
1408: install-info-am:
1409:
1410: install-man: install-man5 install-man8
1411:
1412: install-pdf: install-pdf-am
1413:
1414: install-pdf-am:
1415:
1416: install-ps: install-ps-am
1417:
1418: install-ps-am:
1419:
1420: installcheck-am:
1421:
1422: maintainer-clean: maintainer-clean-am
1423: -rm -rf ./$(DEPDIR)
1424: -rm -f Makefile
1425: maintainer-clean-am: distclean-am maintainer-clean-generic
1426:
1427: mostlyclean: mostlyclean-am
1428:
1429: mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1430: mostlyclean-libtool
1431:
1432: pdf: pdf-am
1433:
1434: pdf-am:
1435:
1436: ps: ps-am
1437:
1438: ps-am:
1439:
1440: uninstall-am: uninstall-include_racoonHEADERS uninstall-libLTLIBRARIES \
1441: uninstall-man uninstall-sbinPROGRAMS
1442:
1443: uninstall-man: uninstall-man5 uninstall-man8
1444:
1445: .MAKE: all check check-am install install-am install-strip
1446:
1.1.1.1.2.3.2 1(misho 1447:4): .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1.1 misho 1448: clean-generic clean-libLTLIBRARIES clean-libtool \
1.1.1.1.2.3.2 1(misho 1449:4): clean-noinstPROGRAMS clean-sbinPROGRAMS cscopelist-am ctags \
1450:4): ctags-am distclean distclean-compile distclean-generic \
1451:4): distclean-libtool distclean-tags distdir dvi dvi-am html \
1452:4): html-am info info-am install install-am install-data \
1453:4): install-data-am install-dvi install-dvi-am install-exec \
1454:4): install-exec-am install-exec-local install-html \
1455:4): install-html-am install-include_racoonHEADERS install-info \
1456:4): install-info-am install-libLTLIBRARIES install-man \
1457:4): install-man5 install-man8 install-pdf install-pdf-am \
1458:4): install-ps install-ps-am install-sbinPROGRAMS install-strip \
1459:4): installcheck installcheck-am installdirs maintainer-clean \
1460:4): maintainer-clean-generic mostlyclean mostlyclean-compile \
1461:4): mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1462:4): recheck tags tags-am uninstall uninstall-am \
1.1 misho 1463: uninstall-include_racoonHEADERS uninstall-libLTLIBRARIES \
1464: uninstall-man uninstall-man5 uninstall-man8 \
1465: uninstall-sbinPROGRAMS
1466:
1467:
1468: install-exec-local:
1469: ${mkinstalldirs} $(DESTDIR)${adminsockdir}
1470:
1471: # special object rules
1472: crypto_openssl_test.o: crypto_openssl.c
1473: $(COMPILE) -DEAYDEBUG -o crypto_openssl_test.o -c $(srcdir)/crypto_openssl.c
1474:
1475: misc_noplog.o: misc.c
1476: $(COMPILE) -DNOUSE_PLOG -o misc_noplog.o -c $(srcdir)/misc.c
1477:
1478: # missing/*.c
1479: strdup.o: $(srcdir)/missing/strdup.c
1480: $(COMPILE) -c $(srcdir)/missing/$*.c
1481: getaddrinfo.o: $(srcdir)/missing/getaddrinfo.c
1482: $(COMPILE) -c $(srcdir)/missing/$*.c
1483: getnameinfo.o: $(srcdir)/missing/getnameinfo.c
1484: $(COMPILE) -c $(srcdir)/missing/$*.c
1485: rijndael-api-fst.o: $(srcdir)/missing/crypto/rijndael/rijndael-api-fst.c
1486: $(COMPILE) -c $(srcdir)/missing/crypto/rijndael/$*.c
1487: rijndael-alg-fst.o: $(srcdir)/missing/crypto/rijndael/rijndael-alg-fst.c
1488: $(COMPILE) -c $(srcdir)/missing/crypto/rijndael/$*.c
1489: sha2.o: $(srcdir)/missing/crypto/sha2/sha2.c
1490: $(COMPILE) -c $(srcdir)/missing/crypto/sha2/$*.c
1491:
1492: # Tell versions [3.59,3.63) of GNU make to not export all variables.
1493: # Otherwise a system limit (for SysV at least) may be exceeded.
1494: .NOEXPORT:
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>